#!/usr/bin/perl
# process_egrp.cgi
# Process group edits

require 'cgroupsmgmt-lib.pl';
&ReadParse();

if($in{'comp'} ne "") {
	&ui_print_header(undef, $text{'comp_title'}, undef, undef, 0, 1, 0);
	print "$text{'newgrp_cgcompf'}<br>\n";
	my %cgres = &compare_cgfiles();
	my $cgchk = 0;
	if ($cgres{'err'} ne "") {
        	print &text('newgrp_cgcomperr', $cgres{'err'}) . "<br>\n";
	} else {
		my $sum = "N";
		foreach my $keys (sort(keys %cgres)) {
			chomp($cgres{$keys});
			if ($sum eq "N") {
				$sum = $cgres{$keys};
			} elsif ($sum ne $cgres{$keys}) {
				print "&nbsp&nbsp&nbsp" . &text('newgrp_cghcomperr', $keys) . "<br>\n";
				&webmin_log($text{'log_cgcomp'}, $text{'log_mismatch'}, $keys, \%in);
				$cgchk = 1;
			}
		}
	}
	if ($cgchk == 1) {
		print "$text{'newgrp_done'}<br><br>\n";
	} elsif ($cgchk == 0) {
		&webmin_log($text{'log_cgcomp'}, $text{'comp_allsame'}, $text{'log_all'}, \%in);
		print "$text{'comp_allsame'}<br><br>\n";	
	}
	&ui_print_footer("/cgroups", $text{'index_title'});
}

if ($in{'rcpy'}) {
	&ui_print_header(undef, $text{'copy_title'}, undef, undef, 0, 1, 0);
	print "$text{'newgrp_propf'}<br>\n";
	&prop_cfiles();
	&webmin_log($text{'log_fprop'}, $text{'log_conff'}, $text{'log_all'}, \%in);
	print "$text{'newgrp_done'}<br><br>\n";
	print "$text{'newgrp_cgcompf'}<br>\n";
	my %cgres = &compare_cgfiles();
	my $cgchk = 0;
	if ($cgres{'err'} ne "") {
        	print &text('newgrp_cgcomperr', $cgres{'err'}) . "<br>\n";
	} else {
		my $sum = "N";
		foreach my $keys (sort(keys %cgres)) {
			chomp($cgres{$keys});
			if ($sum eq "N") {
				$sum = $cgres{$keys};
			} elsif ($sum ne $cgres{$keys}) {
				print "&nbsp&nbsp&nbsp" . &text('newgrp_cghcomperr', $keys) . "<br>\n";
				&webmin_log($text{'log_cgcomp'}, $text{'log_mismatch'}, $keys, \%in);
				$cgchk = 1;
			}
		}
	}
	if ($cgchk == 1) {
		print "$text{'newgrp_done'}<br><br>\n";
	} elsif ($cgchk == 0) {
		&webmin_log($text{'log_cgcomp'}, $text{'comp_allsame'}, $text{'log_all'}, \%in);
		print "$text{'comp_allsame'}<br><br>\n";	
	}
	&ui_print_footer("/cgroups", $text{'index_title'});
}

if ($in{'rsrt'}) {
	&ui_print_header(undef, $text{'rsrt_title'}, undef, undef, 0, 1, 0);
	print "$text{'newgrp_gencgfile'}<br>\n";
	my $cgfgerr = &gen_cgconfigf();
	if ($cgfgerr == 1) {
        	print &text('newgrp_copengroupsf') . "<br>\n";
        	&ui_print_footer("/cgroups", $text{'index_title'});
        	exit;
	} elsif ($cgferr == 2) {
        	print &text('newgrp_copencgfile') . "<br>\n";
        	&ui_print_footer("/cgroups", $text{'index_title'});
        	exit;
	}
	print "$text{'newgrp_done'}<br><br>\n";
	print "$text{'newgrp_propf'}<br>\n";
	&prop_cfiles();
	print "$text{'newgrp_done'}<br><br>\n";
	print "$text{'newgrp_cgcsvcs'}<br>\n";
	my @cgconfiga = &cgconfig_action("restart");
	my %resh = ();
	my $cgchk = 0;
	foreach my $line (sort(@cgconfiga)) {
        	my ($h,$e,undef) = split(":", $line);
        	int($e);
        	if (($e > 0) and ($resh{$h} != 1)) {
                	$resh{$h} = 1;
			print "&nbsp&nbsp&nbsp" . &text('newgrp_cgcrerr', $h) . "<br>\n";
			&webmin_log($text{'log_cgrst'}, $text{'log_fail'}, $h, \%in);
			$cgchk = 1;
		}
	}
	if ($cgchk == 0) {
		&webmin_log($text{'log_cgrst'}, $text{'log_succ'}, $text{'log_all'}, \%in);
	}
	print "$text{'newgrp_done'}<br><br>\n";
	&ui_print_footer("/cgroups", $text{'index_title'});
}
