#!/usr/bin/perl
# process_newgrp.cgi
# Process actions from service administration related pages

require 'cgroupsmgmt-lib.pl';
&ReadParse();

&ui_print_header(undef, $text{'delgrp_title'}, undef, undef, 0, 1, 0);

print "$text{'delgrp_deleting'}<br>\n";
my $files = $in{'d'};
my @gnames = split(/\0/, $files);

my $dchk = 0;
my $dcerr = 0;

foreach my $line (@gnames) {
	chomp($line);
	my $derr = &del_grp($line);
	int($derr);
	if ($derr > 0) {
		print "&nbsp&nbsp&nbsp" . &text('delgrp_delerr', $line) . "<br>\n";
		&webmin_log($text{'log_delg'}, $line, $text{'log_fail'}, \%in);
		last;
	} else {
		print "&nbsp&nbsp&nbsp" . &text('delgrp_deleted', $line) . "<br>\n";
		&webmin_log($text{'log_delg'}, $line, $text{'log_succ'}, \%in);
		$dchk = 1;
	}
}
print "$text{'newgrp_done'}<br><br>\n";
print "$text{'newgrp_gencgfile'}<br>\n";
my $cgfgerr = &gen_cgconfigf();
if ($cgfgerr == 1) {
        print &text('newgrp_copengroupsf') . "<br>\n";
        &ui_print_footer("/cgroups", $text{'index_title'});
        exit;
} elsif ($cgferr == 2) { 
        print &text('newgrp_copencgfile') . "<br>\n";
        &ui_print_footer("/cgroups", $text{'index_title'});
        exit;
}
print "$text{'newgrp_done'}<br><br>\n";
print "$text{'newgrp_gencrfile'}<br>\n";
my $crferr = &gen_crconfigf();
if ($cgfgerr == 1) {
        print &text('newgrp_copengroupsf') . "<br>\n";
        &ui_print_footer("/cgroups", $text{'index_title'});
        exit;
} elsif ($cgferr == 2) {
        print &text('newgrp_copencrfile') . "<br>\n";
        &ui_print_footer("/cgroups", $text{'index_title'});
        exit;
}
print "$text{'newgrp_done'}<br><br>\n";
print "$text{'newgrp_propf'}<br>\n";
&prop_cfiles();
print "$text{'newgrp_done'}<br><br>\n";
print "$text{'newgrp_cgcompf'}<br>\n";
my %res = &compare_cgfiles();
if ($res{'err'} ne "") {
        print &text('newgrp_cgcomperr', $res{'err'}) . "<br>\n";
        &ui_print_footer("/cgroups", $text{'index_title'});
        exit;
} else {
	my $sum = "N";
	foreach my $keys (sort(keys %res)) {
		chomp($keys);
		if ($sum eq "N") {
			$sum = $res{$keys};
			next;
		} elsif ($sum ne $res{$keys}) {
			print &text('newgrp_cghcomperr', $keys) / "<BR>\n";
	       		&ui_print_footer("/cgroups", $text{'index_title'});
        		exit;
		}
	}
}
print "$text{'newgrp_done'}<br><br>\n";
print "$text{'newgrp_cgcsvcs'}<br>\n";
my @cgconfiga = &cgconfig_action("restart");
my $cgchk = 0;
foreach my $line (sort(@cgconfiga)) {
	my ($h,$e,undef) = split(":", $line);
	int($e);
	if ($e > 0) {
		print &text('newgrp_cgcrerr', $h) . "<br>\n";
                &ui_print_footer("/cgroups", $text{'index_title'});
		&webmin_log($text{'log_cgrst'}, $text{'log_fail'}, $h, \%in);
                $cgchk = 1
	} 
}
if ($cgchk == 0) {
	&webmin_log($text{'log_cgrst'}, $text{'log_succ'}, $text{'log_all'}, \%in);
}
print "$text{'newgrp_done'}<br><br>\n";
&ui_print_footer("/cgroups", $text{'index_title'});
