#!/usr/bin/perl
# process_asvcs.cgi
# Process actions from service administration related pages

require 'cgroupsmgmt-lib.pl';
&ReadParse();

my $d = $in{'d'};
$d =~ s/\n//g;

if (($in{'start'}) or ($in{'stop'}) or ($in{'restart'})) {
	&ui_print_header(undef, $text{'prosvcs_title'}, undef, undef, 0, 1, 0);
	print "$text{'prosvcs_process'}<br>";
	my @svchosts = split("\0", $d);
	my @res;
	my $cgcfgfc = 0;
	my $cgcfgsc = 0;
	my $achk = 0;
	my $action;
	
	foreach my $line (@svchosts) {
		chomp($line);
		my ($h,$s) = split(":", $line);
		my $err;
		if ($in{'start'}) {
			$err = &svc_action("$h","$s","start");
			$action = $text{'allsvcs_start'};
		} elsif ($in{'stop'}) {
			$err = &svc_action("$h","$s","stop");
			$action = $text{'allsvcs_stop'};
		} elsif ($in{'restart'}) {
			$err = &svc_action("$h","$s","restart");
			$action = $text{'allsvcs_restart'};
		}
		my $ret = int($err);
		if ($ret > 0) {
			print "$text{'prosvcs_errper'} " . $action . " $text{'prosvcs_acton'} " . $h . " $text{'prosvcs_forser'} " . "$s<br><br>";
			if ($s eq "cgconfig") {
				&webmin_log(&text('log_cgact', $h), $action, $text{'log_fail'}, \%in);
				$cgcfgfc++;
				$achk=1
			}
			next;
		} elsif ($s eq "cgconfig") {
			$cgcfgsc++;
		}
	}

	if ( $cgcfgfc > 0 ) {
		print "$cgcfgfc " . $text{'prosvcs_cgcactf'} . "<br>";
	} 
	if ( $cgcfgsc > 0 ) {
		print "$cgcfgsc " . $text{'prosvcs_cgcacts'} . "<br>";
	}
	if ( $achk == 0 ) {
		&webmin_log(&text('log_act'), $action, $text{'log_succ'}, \%in);
	}
	&ui_print_footer("/cgroups", $text{'index_title'});
} else {
	&ui_print_header(undef, $text{'prosvcs_title'}, undef, undef, 0, 1, 0);
	print $text{'svcpro_modeerr'};
	&ui_print_footer("/cgroups", $text{'index_title'});
}
