#!/usr/bin/perl
use Time::Local;
require 'cubeclean-lib.pl';

my @files = &get_cubes();
my $ccount= scalar(@files);
my $now=time;
my $maxent = $config{'max_list'};
&webmin_log('Access', 'By', 'User');

if ( $ccount > $maxent ) {
	&ui_print_header(undef, $text{'search_title'}, undef, undef, 1, 1, 0, undef);
	print "<b>$text{'index_toomany'}</b><p>\n";
        print &ui_form_start("search_cubes.cgi");
        print &ui_table_start($text{'index_usheader'}, undef, 3);

        print &ui_table_row($text{'index_findlbl'},
                &ui_select("field", "user", 
                           [ [ "user", $text{'index_user'} ],
                             [ "node", $text{'index_node'} ],
                             [ "filename", $text{'index_filename'} ] ]));
                	   
	print &ui_table_row($text{'index_which'},
		&ui_select("match", "contains",  
			[ [ "contains", $text{'index_contains'} ],
			  [ "equals", $text{'index_equals'} ] ]));

        print &ui_table_row($text{'index_ftext'},
                &ui_textbox("what", undef, 50));

        print &ui_table_row($text{'index_datelbl'},
                &ui_select("age", "older",
                        [ [ "older", $text{'index_older'} ],
                          [ "newer", $text{'index_newer'} ] ]));

	print &ui_table_row($text{'index_date'},
                        &date_input($eday, $emon, $eyear, 'date'));

        print &ui_table_end();
        print &ui_form_end([ [ undef, $text{'index_find'} ] ]);
} else {
	&ui_print_header(undef, $text{'index_title'}, undef, undef, 1, 1, 0, undef);
	print &ui_form_start("process_cubes.cgi", "post");

	my @links = (&select_all_link("d"),&select_invert_link("d"),"<a href='search.cgi'>$text{'index_searchlink'}</a>");
	my @tds =("style=\"white-space: nowrap\"",
		  "style=\"white-space: nowrap\"",
		  "style=\"white-space: nowrap\"",
		  "style=\"white-space: nowrap\"",
		  "style=\"white-space: nowrap\"");
	
	print &ui_links_row(\@links);

	print &ui_columns_start([undef,
				$text{'index_hostname'},
				$text{'index_filenametbl'},
				$text{'index_owner'},
				$text{'index_datetbl'}],undef,0);
	
	foreach my $line (@files) {
		chomp($line);
		my ($h,$f,$o,$t) = split(",", $line);
		$f =~ s/^ //g;
		$et = "EPOCHDATE$t";
		print &ui_columns_row([&ui_checkbox("d","$h:$f",undef,0),$h,$f,$o,$et],@tds);
	}
	print &ui_columns_end();	
	print &ui_form_end([[ "action", $text{'cube_com'} ]]);
}
&ui_print_footer("/", $text{'index'});
