#!/usr/bin/perl
# index.cgi
# Display SSH Lockout Configuration

require 'gridhosts-lib.pl';

my $fcheck = &gfile_check();

if ( $fcheck == 0 ) {
	&ui_print_header(undef, $text{'index_title'}, undef, undef, 0, 1, 0);
	print &ui_form_start("populate.cgi", "post");
	print &ui_table_start(undef,undef,2);
	print &ui_table_row(undef,$text{'no_gridhosts'},2);
	print &ui_table_end();
	print &ui_form_end([[ "upload", $text{'upload'} ],[ "usehosts", $text{'usehosts'} ]]);
} elsif ( $fcheck == 1 ) {
	my @hosts = &get_hosts();
	&ui_print_header(undef, $text{'ghosts_title'}, "", undef, 0, 1, 0);
        print &ui_form_start("process_cfile.cgi", "post");
        @links = ( &select_all_link("d"), &select_invert_link("d"), "<a href=\"add_host.cgi\">$text{'hosts_add'}</a>" );
        @tds = ( "width=25" );
	print &ui_links_row(\@links);
        print &ui_columns_start([ undef,$text{'hosts_host'},$text{'hosts_ping'} ], undef, 0, \@tds);
        foreach my $ent ( @hosts ) {
		chomp($ent);
		$hc = &hostcon_check($ent);
               	int($hc);
		if ($hc == 0) {
			print &ui_checked_columns_row([$ent,$text{'hosts_yes'}],\@tds, "d", $ent);
        	} elsif ($hc > 0) {
			print &ui_checked_columns_row([$ent,$text{'hosts_no'}],\@tds, "d", $ent);
		}
	}
        print &ui_columns_end();
        print &ui_links_row(\@links);
        print &ui_form_end([[ "action", $text{'hosts_delete'} ]]);
}
&ui_print_footer("/", $text{'index'});
