#!/usr/bin/perl

require 'gridhosts-lib.pl';
&ReadParse();

if ( $in{'usehosts'} ) { 
	my @hosts = &parse_hosts();
	&ui_print_header(undef, $text{'hosts_title'}, "", undef, 0, 1, 0);
	print &ui_form_start("process_hosts.cgi", "post");
	@links = ( &select_all_link("d"), &select_invert_link("d") );
	print &ui_links_row(\@links);
	@tds = ( "width=25" );
	print &ui_columns_start([ undef,$text{'hosts_host'} ], undef, 0, \@tds);
	foreach my $ent ( @hosts ) {
		print &ui_checked_columns_row([$ent],\@tds, "d", $ent);
	}
	print &ui_columns_end();
        print &ui_links_row(\@links);
        print &ui_form_end([[ "action", $text{'hosts_submit'} ]]);
	&ui_print_footer("/gridhosts/", $text{'index_return'});
} elsif ( $in{'upload'} ) {
	&ui_print_header(undef, $text{'upload_title'}, "", undef, 0, 1, 0);
        print &ui_form_start("process_file.cgi", "form-data");
	print &ui_upload("upload", 40); 
	print &ui_form_end([[ "", $text{'upload_submit'} ]]);
} else {
	&redirect(/gridhosts/);
}
