#!/usr/bin/perl
use Tie::File;

require 'gridhosts-lib.pl';

&ReadParse();

my $cfile = "/etc/gridhosts";

my @hosts = split("\0", $in{'d'});
tie my @gfile, 'Tie::File', $cfile or die "Cannot Open File";

foreach my $hst (@hosts) {
	chomp($hst);
	$hst =~ s/\s$//g;
	for ($l = 0; $l <= scalar(@gfile); $l++) {
		my $line = $gfile[$l];
		chomp($line);
		if ( $line =~ m/$hst$/i ) {
			&webmin_log('Remove','Host',$hst);
			splice(@gfile, $l, 1);	
		}
	} 
}

untie @gfile;

&redirect("/gridhosts/index.cgi");
