#!/usr/bin/perl
use Tie::File;

require 'gridhosts-lib.pl';

&ReadParse();

my $cfile = "/etc/gridhosts";

if ( $in{'hostname'} eq '' ) {
	&error($text{'no_host'}); 
} elsif ( $in{'hostname'} !~ /^(([a-zA-Z]|[a-zA-Z][a-zA-Z0-9\-]*[a-zA-Z0-9])\.)*([A-Za-z]|[A-Za-z][A-Za-z0-9\-]*[A-Za-z0-9])$/ ) {
	&error($text{'inv_host'});
} else {
	tie my @gfile, 'Tie::File', $cfile or die "Cannot Open File";
	push(@gfile, $in{'hostname'});
	@gfile = ((), sort {-M lc($a) cmp -M lc($b)} @gfile);
	untie @gfile;
	&webmin_log('Add','Host',$in{'hostname'});
}

&redirect("/gridhosts/index.cgi");
