#!/usr/bin/perl
# edit_sgroup.cgi
# Edit an existing Sim Group

require 'simgrp-lib.pl';
&ReadParse();

my $gname = $in{'sname'};

my %mems = &get_sgmems($gname);
my @fhosts = &get_fhostsh();

&ui_print_header(undef, $text{'add_title'}, undef, undef, 0, 1, 0,undef);
my @tds = ("width=50%");
print &ui_form_start("add_sgroup.cgi", "post");
print &ui_hidden("osname", $gname);
print &ui_table_start($text{'add_detail'}, "width=75%", 2,\@tds);
print &ui_table_row($text{'add_sname'},
        &ui_textbox("sname",$gname,20,0,20));
print &ui_table_row($text{'add_gmems'},
                        &ui_multi_select("gmems", 
                        [ map { [$_,$_] }
			sort {lc($a) cmp lc($b)}
			split(",", $mems{'members'}) ],
			[ map { [$_->{'host'}, $_->{'host'}] } @fhosts], 
			20, 1, 0,
                        $text{'add_allhosts'}, $text{'add_selhosts'}, 150),\@tds);
print &ui_table_end();
print &ui_form_end([["add",$text{'add_button'}]]);
&ui_print_footer("/simgrp", $text{'mod_root'});
