#!/usr/bin/perl
# index.cgi
# Display configured Sim Groups or Add if none exist.

require 'simgrp-lib.pl';

my $fcheck = &check_sfile();

if ($fcheck == 0) {
	my %sgroups = &get_sgroups();
	&ui_print_header(undef, $text{'index_title'}, undef, undef, 0, 1, 0,undef,
	"<style>
		div.tbl table {table-layout:fixed;}
  		div.tbl td {word-wrap:break-word;}
	</style>");
	my @tds = ("width=2%","width=20%","width=78%");
	my @links = (&select_all_link("del"),&select_invert_link("del"),"<a href=\"newsgrp.cgi\">$text{'index_newsgrp'}</a>");
	print "<div class=\"tbl\">";
	print &ui_form_start("delete_sgroup.cgi", "post");
        print &ui_links_row(\@links);
	print &ui_columns_start([undef,$text{'index_gname'},$text{'index_gmem'}], undef, 0,\@tds);
	foreach my $key (sort keys %sgroups) {
     		print &ui_columns_row([&ui_checkbox("del",$key,undef),"<a href=\"edit_sgroup.cgi?sname=$key\">$key</a>",$sgroups{$key}],\@tds);
	}
	print &ui_columns_end();
	print &ui_form_end([["delete",$text{'index_delete'}]]);
	print "</div>";
	&ui_print_footer("/", $text{'index'});
} else {
	&ui_print_header(undef, $text{'index_title'}, undef, undef, 0, 1, 0,undef);
        my @tds = ("width=100%");
        my @links = ("<a href=\"newsgrp.cgi\">$text{'index_newsgrp'}</a>");
        print &ui_links_row(\@links);
        print &ui_columns_start([undef], 100, 0,\@tds);
        print &ui_columns_row([$text{'index_nosgrp'}],\@tds);
        print &ui_columns_end();
        &ui_print_footer("/", $text{'index'});
}
