#!/usr/bin/perl
# newsgrp.cgi
# Configure new Sim Group

require 'simgrp-lib.pl';

my $gcheck = &check_gfile();

if ($gcheck == 1) {
	&ui_print_header(undef, $text{'add_title'}, undef, undef, 0, 1, 0,undef);
        my @tds = ("width=100%");
        print &ui_columns_start([undef], 100, 0,\@tds);
        print &ui_columns_row([$text{'add_nogfile'}],\@tds);
        print &ui_columns_end();
        &ui_print_footer("/", $text{'index'});
	exit;
}

my @fhosts = &get_fhosts();

&ui_print_header(undef, $text{'add_title'}, undef, undef, 0, 1, 0,undef);
my @tds = ("width=50%");
print &ui_form_start("add_sgroup.cgi", "post");
print &ui_table_start($text{'add_detail'}, "width=75%", 2,\@tds);
print &ui_table_row($text{'add_sname'},
	&ui_textbox("sname",undef,20,0,20));
print &ui_table_row($text{'add_gmems'},
			&ui_multi_select("gmems", undef,
                        [@fhosts], 20, 1, 0,
                        $text{'add_allhosts'}, $text{'add_selhosts'}, 150),\@tds);
print &ui_table_end();
print &ui_form_end([["add",$text{'add_button'}]]);
&ui_print_footer("/simgrp", $text{'mod_root'});
