#!/usr/bin/perl
require 'tmptblmaint-lib.pl';

my $gpcheck = 0;

if (($gconfig{'install_typ'} eq "Greenplum") or ($gconfig{'install_typ'} eq "LGP")) { 
	$gpcheck=1; 
}

if ($gpcheck != 1 ) {
        &ui_print_header(undef, $text{'index_title'}, undef, undef, 0, 1, 0);
        &error("$text{'mod_not_available'}");
        &ui_print_footer("/index.cgi?cat=system", $text{'index_return'});
        exit;
} else {
        &ui_print_header(undef, $text{'index_title'}, undef, undef, 1, 1, 0);
}

@results = &list_tbls();

if ($results[0] eq '1ERR' ) {
        &error("$results[1]");
        &ui_print_footer("/index.cgi?cat=system", $text{'index_return'});
        exit;
}

print &ui_form_start("process_tbls.cgi", "post");
@links = ( &select_all_link("d"), &select_invert_link("d"));

print &ui_links_row(\@links);
@tds = ( "width=5" );

print &ui_columns_start([ "", $text{'tblowner_hdr'}, $text{'tblname_hdr'} ], undef, 0, \@tds);
foreach $h (@results) {
	local @cols;
	chomp($h);
	my ($tblname,$tblowner) = split(",", $h);
	print &ui_checked_columns_row([$tblowner, $tblname],\@tds, "d",$tblname,0,0);
}
print &ui_columns_end();

print &ui_links_row(\@links);
print &ui_form_end([[ "action", $text{'tmptbl_delete'} ]]);

&ui_print_footer("/index.cgi?cat=system", $text{'index_return'});

