#!/usr/bin/perl
# allsvcs.cgi
# Display all services and status by host

require 'cgroupsmgmt-lib.pl';

&ui_print_header(undef, $text{'allsvcs_title'}, undef, undef, 0, 1, 0);

my @allsvcs;
my @cgcfgchk = &svcs_status("cgconfig");
foreach my $line (@cgcfgchk) {
	push(@allsvcs,"cgconfig:$line");
}

print &ui_form_start("process_asvcs.cgi", "post");

        my @links = (&select_all_link("d"),&select_invert_link("d"));
        my @tds =("style=\"white-space: nowrap; padding: 5px;\"",
                  "style=\"white-space: nowrap; padding: 5px;\"",
                  "style=\"white-space: nowrap; padding: 5px;\"",
                  "style=\"white-space: nowrap; padding: 5px;\"");

        print &ui_links_row(\@links);

        print &ui_columns_start([undef,
                                $text{'allsvcs_hostname'},
                                $text{'allsvcs_service'},
                                $text{'allsvcs_status'}],undef,0);

        foreach my $line (sort @allsvcs) {
                chomp($line);
                my ($s,$h,$e,undef) = split(":", $line);
		int($e);
		if ($e > 0) {
			$stat = $text{'allsvcs_nosvc'};
		} elsif ($e == 0) {
			$stat = $text{'allsvcs_ysvcs'};
		}
                print &ui_columns_row([&ui_checkbox("d","$h:$s",undef,0),$h,$s,$stat],\@tds);
        }
        print &ui_columns_end();
        print &ui_form_end([[ "start", $text{'allsvcs_start'} ],
			    [ "stop", $text{'allsvcs_stop'} ],
			    [ "restart", $text{'allsvcs_restart'} ]]);


&ui_print_footer("/cgroups", $text{'index_title'});
