#!/usr/bin/perl
# newgroup.cgi
# Create new cgroup 

require 'cgroupsmgmt-lib.pl';
&foreign_require("useradmin", "user-lib.pl");
my @ulist = &useradmin::list_users();
&ReadParse();
my ($rupct,$rrpct,undef) = split(":", &get_cpustats()); 

if ($in{'ecgroup'} eq "") {
	&ui_print_header(undef, $text{'group_title'}, undef, undef, 0, 1, 0);
	print $text{'egroup_nogrperr'};
	&ui_print_footer("/cgroups", $text{'index_title'});
}

my %cgroups=&get_cgroupinfo($in{'ecgroup'});

my ($cpu,$memu) = split(",", $cgroups{'subvals'});

&ui_print_header(undef, $text{'group_etitle'}, undef, undef, 0, 1, 0);

print &ui_form_start("process_egrp.cgi", "post");
	my @tds50 = ("width=50%");

	print &ui_table_start($text{'group_hdr'}, "width=75%", 2, \@tds50);
	print &ui_hidden('ogname', $cgroups{'group'});
	print &ui_table_row($text{'group_gname'},
		&ui_textbox("gname",$cgroups{'group'},20,0,20));
	print &ui_table_row($text{'group_describe'},
		&ui_textbox("gdesc",$cgroups{'desc'},50,0,20));
	print &ui_table_end();
	print &ui_table_start($text{'group_subres'}, "width=75%", 2, \@tds50);
	print &ui_table_row("$text{'group_cpushr'}",
		&ui_textbox("cpushr",$cpu,3,0,3) . " <font size=-1>(" . &text("group_cmore", $rrpct). ")</font>");
	print &ui_table_end();
	print &ui_table_start($text{'group_ausers'}, "width=75%", 2, \@tds50);
        	print &ui_table_row($text{'group_amembership'}, &ui_multi_select("amems",
        			[ map { [ $_, $_ ] }
        			sort { lc($a) cmp lc($b) }
      				split(/,/ , $cgroups{'ausers'}) ],
                                [ map { [ $_->{'user'}, $_->{'user'} ] } @ulist ], 10, 1, 0,
				$text{'group_aallusers'}, $text{'group_aselusers'}, 150));
	print &ui_table_end();
print &ui_form_end([["action", $text{'cgroups_save'}]]);
&ui_print_footer("/cgroups", $text{'index_title'});
