#!/usr/bin/perl
use Time::Local;
require 'cubeclean-lib.pl';

&ui_print_header(undef, $text{'search_title'}, undef, undef, 1, 1, 0, undef);

my @files = &get_cubes();

print &ui_form_start("search_cubes.cgi");
print &ui_table_start($text{'index_usheader'}, undef, 3);

print &ui_table_row($text{'index_findlbl'},
        &ui_select("field", "user", 
        [ [ "user", $text{'index_user'} ],
        [ "node", $text{'index_node'} ],
        [ "filename", $text{'index_filename'} ] ]));
                	   
print &ui_table_row($text{'index_which'},
	&ui_select("match", "contains",  
	[ [ "contains", $text{'index_contains'} ],
	[ "equals", $text{'index_equals'} ] ]));

print &ui_table_row($text{'index_ftext'},
        &ui_textbox("what", undef, 50));

print &ui_table_row($text{'index_datelbl'},
        &ui_select("age", "older",
        [ [ "older", $text{'index_older'} ],
        [ "newer", $text{'index_newer'} ] ]));

print &ui_table_row($text{'index_date'},
        &date_input($eday, $emon, $eyear, 'date'));

print &ui_table_end();
print &ui_form_end([ [ undef, $text{'index_find'} ] ]);
&ui_print_footer("/cubeclean", $text{'index_name'});
