#!/usr/bin/perl
# add_sgroup.cgi
# Add Sim Groups

require 'simgrp-lib.pl';
&ReadParse();
my %ngrp;

my $gname = $in{'sname'};
my $mems = $in{'gmems'};
$mems =~ s/\n/,/g;
$mems =~ s/\s+//g;

chomp($gname);
$gname =~ s/\s+$//g;
$gname =~ s/^\s+//g;
my $gcheck = &check_gname($gname);

if ($gcheck == 1) {
	&ui_print_header(undef, $text{'adderr_title'}, undef, undef, 0, 1, 0,undef);
	my @tds = ("width=100%");
        print &ui_columns_start([undef], 100, 0,\@tds);
        print &ui_columns_row([$text{'adderr_nformat'}],\@tds);
        print &ui_columns_end();
        &ui_print_footer("/simgrp", $text{'index_title'});
	exit;
}

if ($in{'osname'}) {
	&del_sgroup($in{'osname'});
}

my %sgrps = &get_sgroups();

if ($sgrps{$gname}) {
	&ui_print_header(undef, $text{'adderr_title'}, undef, undef, 0, 1, 0,undef);
	my @tds = ("width=100%");
        print &ui_columns_start([undef], 100, 0,\@tds);
        print &ui_columns_row([$text{'adderr_dupe'}],\@tds);
        print &ui_columns_end();
        &ui_print_footer("/simgrp", $text{'index_title'});
	exit;
}

$ngrp{$gname} = $mems;
my $acheck = &add_sgroup(\%ngrp);

if ($acheck == 1) {
	&ui_print_header(undef, $text{'adderr_title'}, undef, undef, 0, 1, 0,undef);
        my @tds = ("width=100%");
        print &ui_columns_start([undef], 100, 0,\@tds);
        print &ui_columns_row([$text{'adderr_ofile'}],\@tds);
        print &ui_columns_end();
        &ui_print_footer("/simgrp", $text{'index_title'});
        exit;
} elsif ($acheck == 0) {
        &redirect("/simgrp/index.cgi");
	exit;
} else {
	&ui_print_header(undef, $text{'adderr_title'}, undef, undef, 0, 1, 0,undef);
        my @tds = ("width=100%");
        print &ui_columns_start([undef], 100, 0,\@tds);
        print &ui_columns_row([$text{'adderr_amb'}],\@tds);
        print &ui_columns_end();
        &ui_print_footer("/simgrp", $text{'index_title'});
        exit;
}

