#!/usr/bin/perl
# index.cgi
# Display SSH Lockout Configuration

require 'sshlock-lib.pl';

my $ccheck = &check_config();

my $gusers = &get_gusers();
chomp($gusers);

my $users = &get_users();
chomp($users);

my $kcheck = &get_krbstat();

my $dusers = &get_dusers();

&ui_print_header(undef, $text{'index_title'}, undef, undef, 0, 1, 0);
print &ui_form_start("save_lock.cgi", "post");
print &ui_subheading("<b>$text{'lock_stat'}</b>");
if ( $ccheck == 2 ) {
        &create_gen_config($kcheck);
	print &ui_radio("status", "Disabled", 
			[ ["Enabled",$text{'index_enable'}],
			  ["Disabled",$text{'index_disable'}]]);
} elsif ( $ccheck == 1 ) {
	print &ui_radio("status", "Enabled", 
			[ ["Enabled",$text{'index_enable'}],
                          ["Disabled",$text{'index_disable'}] ]);
} elsif ( $ccheck == 0 ) {
	print &ui_radio("status", "Disabled", 
			[ ["Enabled",$text{'index_enable'}],
			  ["Disabled",$text{'index_disable'}]]);
}	
print "<br><br>\n";
print &ui_subheading("<b>$text{'index_krbsup'}</b>");
if ( $kcheck == 1 ) {
	print &ui_radio("krbsup", "1", 
			[ ["1",$text{'index_yes'}],
                          ["0",$text{'index_no'}] ]);
} elsif ( $kcheck == 0 ) {
	print &ui_radio("krbsup", "0", 
			[ ["1",$text{'index_yes'}],
			  ["0",$text{'index_no'}]]);
}	
print "<br><br>\n";
print &ui_subheading("<b>$text{'g_users'}</b>");
print &ui_textarea("gusers",$gusers,10,15);
print "<br><br>\n";
print &ui_subheading("<b>$text{'c_users'}</b>");
print &ui_textarea("users",$users,10,15);
print "<br><br>\n";
print &ui_subheading("<b>$text{'d_users'}</b>");
print &ui_textarea("dusers",$dusers,10,15);
print &ui_form_end([[ "action", $text{'lock_com'} ]]);
&ui_print_footer("/", $text{'index'});
