#!/usr/bin/perl

require 'sshlock-lib.pl';

&ReadParse();

my $gusers = $in{'gusers'};
my $users = $in{'users'};
my $dusers = $in{'dusers'};
my $krbstat = $in{'krbsup'};

&update_wm_config($gusers,$users,$dusers,$krbstat);

$gusers =~ s/\r//g;
$users =~ s/\r//g;
$dusers =~ s/\r//g;
$gusers =~ s/\n/,/g;
$users =~ s/\n/,/g;
$dusers =~ s/\n/,/g;

my $ent = { 
		'AdminUsers'  => $gusers,
		'NormalUsers' => $users,
		'DisableUsers' => $dusers
	  };

&webmin_log('Added', 'Users', 'Success', $ent);

if ( $in{'status'} eq 'Disabled' ) {
	my $ret = &rem_lock($krbstat);
	if ($dusers ne '') {
		&add_deny($dusers);
	} else {
		&restart_sshd();
	}
	if ( $ret > 0 ) {
		&webmin_log('Remove', 'Lock', 'Failure');
	} else {
		&webmin_log('Remove', 'Lock', 'Success');
	}
} elsif ( $in{'status'} eq 'Enabled' ) {
	$gusers =~ s/,/ /g;
	$users =~ s/,/ /g;
	my $ret = &add_lock($gusers,$users,$krbstat);
	if ($dusers ne '') {
		&add_deny($dusers);
	} else {
		&restart_sshd();
	}
	if ( $ret > 0 ) {
		&webmin_log('Add', 'Lock', 'Failure', $ent);
	} else {
		&webmin_log('Add', 'Lock', 'Success', $ent);
	}
}

print &redirect(/sshlock/);
