#!/usr/bin/perl
# delete_user.cgi
# Delete a user, after asking for confirmation

require './user-lib.pl';
&ReadParse();
@ulist = &list_users();
$user = $ulist[$in{'num'}];
$user || &error($text{'udel_enum'});
&error_setup($text{'udel_err'});
&can_edit_user(\%access, $user) || &error($text{'udel_euser'});
$access{'udelete'} || &error($text{'udel_euser'});

$| = 1;
&ui_print_header(undef, $text{'udel_title'}, "");

if (!$config{'delete_root'} && $user->{'uid'} <= 10) {
	print "<p> <b>$text{'udel_eroot'}</b> <p>\n";
	print &ui_hr();
	&footer("", $text{'index_return'});
	exit;
}

# Check for repeat click
if ($user->{'user'} ne $in{'user'} || $in{'user'} eq '') {
	print "<p> <b>$text{'udel_ealready'}</b> <p>\n";
	print &ui_hr();
	&footer("", $text{'index_return'});
	exit;
}

if( $in{'confirmed'} eq "1" ) {
	print &text('deln_user', $user->{'user'});
	if( $in{'deleteu'} ) {
		&sim_delete_user($user->{'user'}, 1);
	} elsif ( $in{'delhome'} ) {
		&sim_delete_user($user->{'user'}, 2);
	}
	print $text{'udel_done'};
	&webmin_log($text{'log_delusr'}, $text{'log_success'}, $user{'user'}, \%in)
} else {
	@buts = ( );
	push(@buts, [ "deleteu", $text{'deluser1'} ], [ "delhome", $text{'deluser2'} ]);
	$msg = &text('udel_sure', $user->{'user'});

	print &ui_confirmation_form("delete_user.cgi", $msg,
	[ [ "num", $in{'num'} ],
	[ "user", $user->{'user'} ],
	[ "confirmed", 1 ] ],
	\@buts,
	(@others ? &text('udel_others', "<tt>$user->{'home'}</tt>",
	scalar(@others))."<p>" : "").
	($user->{'user'} eq 'root' ? $text{'udel_root'} : ""),
	);
}

&ui_print_footer("", $text{'index_return'});
